%global python3_pkgversion 3.11
%global srcname ntlm-auth

Name:           python%{python3_pkgversion}-%{srcname}-epel
Version:        1.5.0
Release:        1%{?dist}
Summary:        Python 3 compatible NTLM library (requires md4, thus legacy OpenSSL settings)

License:        MIT
URL:            https://pypi.python.org/pypi/ntlm-auth
Source:         https://github.com/jborean93/ntlm-auth/archive/v%{version}/%{srcname}-%{version}.tar.gz
BuildArch:      noarch

BuildRequires:  python%{python3_pkgversion}-devel
BuildRequires:  python3.11dist(setuptools)
# For tests
BuildRequires:  python3.11dist(pytest)
BuildRequires:  python3.11dist(requests)
BuildRequires:  python3.11dist(cryptography)

%global _description %{expand:
This package allows Python clients running on any operating system to provide
NTLM authentication to a supporting server.

With OpenSSL 3 or above, the legacy OpenSSL provider needs to be set in
order to support md4 in Python.}

%description %{_description}

%package -n     python%{python3_pkgversion}-%{srcname}
Summary:        %{summary}
Obsoletes:      python%{python3_pkgversion}-ntlm3 < 1.0.3-1
Provides:       python%{python3_pkgversion}-ntlm3 = %{version}-%{release}

%description -n python%{python3_pkgversion}-%{srcname} %{_description}

%prep
%autosetup -n %{srcname}-%{version}

%build
%py3_build

%install
%py3_install

%check
# see https://github.com/jborean93/ntlm-auth/issues/22
cat > openssl.cnf << EOF
openssl_conf = openssl_init

[openssl_init]
providers = provider_sect

[provider_sect]
default = default_sect
legacy = legacy_sect

[default_sect]
activate = 1

[legacy_sect]
activate = 1
EOF
export OPENSSL_CONF=${PWD}/openssl.cnf

%pytest

%files -n python%{python3_pkgversion}-%{srcname}
%doc CHANGES.md README.md
%license LICENSE
%{python3_sitelib}/ntlm_auth-*.egg-info/
%{python3_sitelib}/ntlm_auth/

%changelog
* Sun Feb 26 2023 Orion Poplawski <orion@nwra.com> - 1.5.0-1
- EPEL package for Python 3.11
